group "CommodityFinancialOption.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 6 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
commodity?, ((notionalQuantity, totalNotionalQuantity) | quantityReference), exercise?, strikePricePerUnit

Content Model Elements (6):

  commodity (in commodityOption), exercise (in commodityOption), notionalQuantity, | quantityReference, strikePricePerUnit, totalNotionalQuantity

Known Usage Locations

- In definitions of global complexTypes (1):
  CommodityOption

Annotation
Items specific to financially-settled commodity options.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="CommodityFinancialOption.model"> <xsd:sequence> <xsd:element minOccurs="0" name="commodity" type="Commodity"/> <xsd:group ref="CommodityNotionalQuantity.model"/> <xsd:element minOccurs="0" name="exercise" type="CommodityExercise"/> <xsd:group ref="CommodityStrikePrice.model"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/6)
commodity

  Type: | Commodity, complex content

  Specifies the underlying component. At the time of the initial schema design, only underlyers of type Commodity are supported; the choice group in the future could offer the possibility of adding other types later.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commodity" type="Commodity"/>

exercise

  Type: | CommodityExercise, complex content

  The parameters for defining how the commodity option can be exercised and how it is settled.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exercise" type="CommodityExercise"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.